Subject: bug#20968: 25.0.50; Be able to specify the output directory for `byte-compile-file'

From: Drew Adams <[email-masked]>
Date: Thu, 2 Jul 2015 16:51:04 -0700 (PDT)

> > Enhancement request.
> >
> > 1. Be able to specify the output directory for *.elc files to
> > `byte-compile-file'.  See this emacs.SE question:
> > http://emacs.stackexchange.com/q/13596/105.
> 
> This request doesn't make a lot of sense to me (I feel like saying
> this for many of these "here's a forward of a thing I read on Stack-
> foo"), because Emacs expects .el and .elc to live in the same place.

I don't necessarily disagree with the first part.  I won't be
using this feature myself, in any case.

Emacs expects .el and .elc to be in the same place only in the
general sense of providing for that and of being written from
the point of view that that is what users will likely do: put
them in the same place.

Emacs expects this only because that's all it's ever known.
That's what an enhancement request is about: teaching Emacs
something new.

Emacs does not "expect" it in the sense of requiring it, AFAIK.
Even now a user could put *.el and *.elc in different dirs, and
put both dirs in `load-path' (in whichever order).

Anyway, I won't argue strongly for this, but I also don't (yet)
see it as something undesirable or unsurmountable.